%define anolis_release 1
%global pypi_name kaldiio
%global pypi_version 2.18.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Kaldi-ark loading and writing module

License:        None
URL:            https://github.com/nttcslab-sp/kaldiio
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(soundfile)

%description
kaldiio is an IO utility implemented in pure Python language for several file formats 
used in kaldi, which are named asark and scp. ark and scp are used in in order to archive 
some objects defined in Kaldi, typically it is Matrix object of Kaldi.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy)
%description -n python3-%{pypi_name}
kaldiio is an IO utility implemented in pure Python language for several file formats 
used in kaldi, which are named asark and scp. ark and scp are used in in order to archive 
some objects defined in Kaldi, typically it is Matrix object of Kaldi.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 2.18.0-1
- Initial package.